package com.iamberry.wechat.core.entity.admin;

import java.io.Serializable;

/**
 * description : 二级管理员对应的二级菜单权限
 * @author 何秀刚
 * create date : 2015年12月10日
 */
public class AdminChildPermissionErmissions implements Serializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 387441053371908503L;

	private Integer ermissionsId; //ID
	
	private String ermissionsName; // 二级菜单名称
	
	private String ermissionsUrl; //二级菜单链接
	
	private String ermissionsDesc; // 二级菜单简介
	
	private Integer permissionId; // 所属的一级菜单
	
	private String ermissionsStatus; // 二级菜单状态，0:可以使用，其他不能使用
	
	private String ermissionsImg; // 二级菜单图标
	
	public String getErmissionsName() {
		return ermissionsName;
	}

	public void setErmissionsName(String ermissionsName) {
		this.ermissionsName = ermissionsName;
	}

	public Integer getErmissionsId() {
		return ermissionsId;
	}

	public void setErmissionsId(Integer ermissionsId) {
		this.ermissionsId = ermissionsId;
	}

	public String getErmissionsUrl() {
		return ermissionsUrl;
	}

	public void setErmissionsUrl(String ermissionsUrl) {
		this.ermissionsUrl = ermissionsUrl;
	}

	public String getErmissionsDesc() {
		return ermissionsDesc;
	}

	public void setErmissionsDesc(String ermissionsDesc) {
		this.ermissionsDesc = ermissionsDesc;
	}

	public Integer getPermissionId() {
		return permissionId;
	}

	public void setPermissionId(Integer permissionId) {
		this.permissionId = permissionId;
	}

	public String getErmissionsStatus() {
		return ermissionsStatus;
	}

	public void setErmissionsStatus(String ermissionsStatus) {
		this.ermissionsStatus = ermissionsStatus;
	}

	public String getErmissionsImg() {
		return ermissionsImg;
	}

	public void setErmissionsImg(String ermissionsImg) {
		this.ermissionsImg = ermissionsImg;
	}

	public static long getSerialversionuid() {
		return serialVersionUID;
	}
	
}
